From 9982768f5fc53178a0886b25a7a4b0ce2fe36c16 Mon Sep 17 00:00:00 2001
From: Radim Krcmar <rkrcmar@redhat.com>
Date: Wed, 19 Apr 2017 13:04:02 +0200
Subject: x86: bump maximum vcpu count of pc-q35-rhel7.4.0 to 384
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

RH-Author: Radim Krcmar <rkrcmar@redhat.com>
Message-id: <20170413204227.12678-1-rkrcmar@redhat.com>
Patchwork-id: 74778
O-Subject: [RHEL7.4 qemu-kvm-rhev PATCH] x86: bump maximum vcpu count of pc-q35-rhel7.4.0 to 384
Bugzilla: 1433956
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>
RH-Acked-by: Eduardo Habkost <ehabkost@redhat.com>
RH-Acked-by: Bandan Das <bsd@redhat.com>

bug: https://bugzilla.redhat.com/show_bug.cgi?id=1433956
brew: https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=13014435
tested: by me, with kernel patches posted at the same time

RHEL only.  This is asked by SAP for their upcoming bigger VMs.
Upstream is going to use a more flexible limit of INT_MAX, but the patch
is not merged yet and enforcing the supported limit might be what we
want.  In any case, bumping one number is not a big maintenance burden.

Signed-off-by: Radim Krčmář <rkrcmar@redhat.com>
Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
---
 hw/i386/pc_q35.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/hw/i386/pc_q35.c b/hw/i386/pc_q35.c
index b86e24d..23d5f6b 100644
--- a/hw/i386/pc_q35.c
+++ b/hw/i386/pc_q35.c
@@ -379,7 +379,7 @@ static void pc_q35_machine_rhel7_options(MachineClass *m)
     m->no_floppy = 1;
     m->has_dynamic_sysbus = true;
     m->alias = "q35";
-    m->max_cpus = 288;
+    m->max_cpus = 384;
     SET_MACHINE_COMPAT(m, PC_RHEL_COMPAT);
 }
 
-- 
1.8.3.1

